XSModelGroup (XML Schema API)
Date: 2018-10-16

org.apache.xerces.xs

## Interface XSModelGroup

- All Superinterfaces:
    XSObject, XSTerm

      public interface XSModelGroup
      extends XSTerm

  This interface represents the Model Group schema component.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `COMPOSITOR_ALL` This content model represents a simplified version of the SGML &-Connector and is limited to the top-level of any content model.
    `static short` | `COMPOSITOR_CHOICE` This constant value signifies a choice operator.
    `static short` | `COMPOSITOR_SEQUENCE` This constant value signifies a sequence operator.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `XSAnnotation` | `getAnnotation()` An annotation if it exists, otherwise `null`.
    `XSObjectList` | `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
    `short` | `getCompositor()` [compositor]: one of all, choice or sequence.
    `XSObjectList` | `getParticles()` A list of [particles] if it exists, otherwise an empty `XSObjectList`.

    - ### Methods inherited from interface org.apache.xerces.xs.XSObject

      `getName, getNamespace, getNamespaceItem, getType`

- - ### Field Detail

    - #### COMPOSITOR_SEQUENCE

          static final short COMPOSITOR_SEQUENCE

      This constant value signifies a sequence operator.
      See Also:
        Constant Field Values

    - #### COMPOSITOR_CHOICE

          static final short COMPOSITOR_CHOICE

      This constant value signifies a choice operator.
      See Also:
        Constant Field Values

    - #### COMPOSITOR_ALL

          static final short COMPOSITOR_ALL

      This content model represents a simplified version of the SGML &-Connector and is limited to the top-level of any content model. No element in the all content model may appear more than once.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getCompositor

          short getCompositor()

      [compositor]: one of all, choice or sequence. The valid constant values are: `COMPOSITOR_SEQUENCE, COMPOSITOR_CHOICE, COMPOSITOR_ALL`.

    - #### getParticles

          XSObjectList getParticles()

      A list of [particles] if it exists, otherwise an empty `XSObjectList`.

    - #### getAnnotation

          XSAnnotation getAnnotation()

      An annotation if it exists, otherwise `null`. If not null then the first [annotation] from the sequence of annotations.

    - #### getAnnotations

          XSObjectList getAnnotations()

      A sequence of [annotations] or an empty `XSObjectList`.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.